/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct MigrateAuthToLdapRequest {
    /// The current authentication type for the matched users.
    #[serde(rename = "from")]
    pub from: String,
    /// Foreign user field name to match.
    #[serde(rename = "match_field")]
    pub match_field: String,
    #[serde(rename = "force")]
    pub force: bool,
}

impl MigrateAuthToLdapRequest {
    pub fn new(from: String, match_field: String, force: bool) -> MigrateAuthToLdapRequest {
        MigrateAuthToLdapRequest {
            from,
            match_field,
            force,
        }
    }
}
